//
//  ContentMainNewContentCreatorView.swift
//  SodaLive
//
//  Created by klaus on 2023/08/11.
//

import SwiftUI

struct ContentMainNewContentCreatorView: View {
    
    let items: [GetNewContentUploadCreator]
    
    var body: some View {
        ScrollView(.horizontal, showsIndicators: false) {
            LazyHStack(spacing: 21.3) {
                ForEach(0..<items.count, id: \.self) { index in
                    let item = items[index]
                    ContentMainNewContentCreatorItemView(item: item)
                }
            }
        }
    }
}

struct ContentMainNewContentCreatorView_Previews: PreviewProvider {
    static var previews: some View {
        ContentMainNewContentCreatorView(
            items: [
                GetNewContentUploadCreator(
                    creatorId: 1,
                    creatorNickname: "수다친구1",
                    creatorProfileImageUrl: "https://test-cf.sodalive.net/profile/default-profile.png"
                ),
                GetNewContentUploadCreator(
                    creatorId: 2,
                    creatorNickname: "수다친구2",
                    creatorProfileImageUrl: "https://test-cf.sodalive.net/profile/default-profile.png"
                ),
                GetNewContentUploadCreator(
                    creatorId: 3,
                    creatorNickname: "수다친구3",
                    creatorProfileImageUrl: "https://test-cf.sodalive.net/profile/default-profile.png"
                )
            ]
        )
    }
}
