//
//  CheersReportMenuView.swift
//  SodaLive
//
//  Created by klaus on 2023/08/11.
//

import SwiftUI

struct CheersReportMenuView: View {
    
    @Binding var isShowing: Bool
    let onClickReport: () -> Void
    
    var body: some View {
        ZStack {
            Color.black
                .opacity(0.7)
                .ignoresSafeArea()
                .onTapGesture { isShowing = false }
            
            VStack(spacing: 0) {
                Spacer()
                
                VStack(spacing: 13.3) {
                    HStack(spacing: 0) {
                        Text("신고하기")
                            .font(.custom(Font.medium.rawValue, size: 13.3))
                            .foregroundColor(.white)
                        
                        Spacer()
                    }
                    .padding(.vertical, 8)
                    .padding(.horizontal, 26.7)
                    .contentShape(Rectangle())
                    .onTapGesture {
                        isShowing = false
                        onClickReport()
                    }
                }
                .padding(24)
                .background(Color(hex: "222222"))
                .cornerRadius(13.3, corners: [.topLeft, .topRight])
            }
        }
    }
}
